### Constructor

# Gtk EntryBuffer new

#### Declaration [src]

    GtkEntryBuffer*
    gtk_entry_buffer_new (
      const char* initial_chars,
      int n_initial_chars
    )

#### Description [src]

Create a new `GtkEntryBuffer` object.

Optionally, specify initial text to set in the buffer.

#### Parameters

`initial_chars` | `const char*`
| Initial buffer text.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`n_initial_chars` | `int`
| Number of characters in `initial_chars`, or -1.

#### Return value

Returns: | `GtkEntryBuffer`
| A new `GtkEntryBuffer` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.